Subject: Re: bug#31686: 12.1.1 ; Generation of Previews for platex with cached preamble fails with filename having spaces

From: jfbu <[email-masked]>
Date: Fri, 8 Jun 2018 11:54:40 +0200

Hi,

Le 08/06/2018 à 11:19, jfbu a écrit :
> Le 02/06/2018 à 14:21, jfbu a écrit :
>> Notice though that even if that was fixed, bug #31684 would cause a problem
> 
> Hi Keita and all,
> 
> I can confirm that using proposed patches to fix #31684 and #31685,
> this one is cured too in my brief testing with pLaTeX compilation.
> 
>> Running `Preview-LaTeX' on `abc jap' with ``platex -ini -interaction=nonstopmode "&platex" prv_abc_jap.ini    "\nonstopmode\nofiles\PassOptionsToPackage{active,tightpage,auctex}{preview}\AtBeginDocument{\ifx\ifPreview\undefined\RequirePackage[displaymath,floats,graphics,textmath,sections,footnotes]{preview}[2004/11/05]\fi}" "\input" "{\detokenize{" \"abc\ jap.tex\" "}}"''
>> This is e-pTeX, Version 3.14159265-p3.8.0-180226-2.6 (utf8.euc) (TeX Live 2018) (INITEX)
>>  restricted \write18 enabled.
>> entering extended mode
>> (./prv_abc_jap.ini
>> pLaTeX2e <2018-05-20> (based on LaTeX2e <2018-04-01> patch level 5)
>> (/usr/local/texlive/2018/texmf-dist/tex/latex/carlisle/mylatex.ltx) (/usr/local/texlive/2018/texmf-dist/tex/latex/tools/.tex File ignored))
>> No auxiliary output files.
>>
>> [... lines cut ....]
>> No pages of output.
>> Transcript written on prv_abc_jap.log.
>>
>> TeX Output finished at Fri Jun  8 11:11:37
>> Running `Preview-LaTeX' on `abc jap' with ``platex  -kanji=utf8  -file-line-error -interaction=nonstopmode \&prv_abc_jap "/AUCTEXINPUT{" \"abc\ jap.tex\" "}"''
>> This is e-pTeX, Version 3.14159265-p3.8.0-180226-2.6 (utf8.euc) (TeX Live 2018) (preloaded format=platex)
>>  restricted \write18 enabled.
>> entering extended mode
>> pLaTeX2e <2018-05-20> (based on LaTeX2e <2018-04-01> patch level 5)
>> CUSTOMISED FORMAT. Preloaded files:
>>         .
>>   pldefs.ltx    2018/02/04 v1.6l pLaTeX Kernel (Default settings)
>>    jy1mc.fd    2018/02/04 v1.6l KANJI font defines
>>    jy1gt.fd    2018/02/04 v1.6l KANJI font defines
>>    jt1mc.fd    2018/02/04 v1.6l KANJI font defines
>>    jt1gt.fd    2018/02/04 v1.6l KANJI font defines
>>  kinsoku.tex
>>   "abc jap.tex" jarticle.cls    2018/02/04 v1.7h Standard pLaTeX class
>>  jsize10.clo    2018/02/04 v1.7h Standard pLaTeX file (size option)
>>         .
>> (./abc jap.tex
>> [.... lines cut ....]
>>  )
>> (see the transcript file for additional information)
>> Output written on "abc jap.dvi" (1 page, 1584 bytes).
>> Transcript written on "abc jap.log".
>>
>> TeX Output exited as expected with code 1 at Fri Jun  8 11:11:37
>> Running `Preview-DviPNG' with ``dvipng -picky -noghostscript abc\ jap.dvi -o abc\ jap.prv/tmppvWcgV/prev%03d.png  -D186 ''
>> This is dvipng (dvipng (TeX Live)) 1.15 Copyright 2002-2015 Jan-Ake Larsson
>> [1 (preview-latex version 12.1) (preview-latex tightpage option detected, will use its bounding box)]
>> Preview-DviPNG finished at Fri Jun  8 11:11:37
> 

Due to some mix-up at my side the above is with the first version
of the patches proposed by Keita for #31685.

With the second version of the patches, it does work too, bthere
are some differences in the command line incovations.

Although I am creating a bit of noise, I feel I must now
copy-paste how it really looks like with the v2 of Keita's patches for #31685
at my locale:

> Running `Preview-LaTeX' on `abc jap' with ``platex -ini -kanji=utf8 -interaction=nonstopmode "&platex" prv_abc_jap.ini    "\nonstopmode\nofiles\PassOptionsToPackage{active,tightpage,auctex}{preview}\AtBeginDocument{\ifx\ifPreview\undefined\RequirePackage[displaymath,floats,graphics,textmath,sections,footnotes]{preview}[2004/11/05]\fi}" "\input" "{\detokenize{" \"abc\ jap.tex\" "}}"''
> This is e-pTeX, Version 3.14159265-p3.8.0-180226-2.6 (utf8.euc) (TeX Live 2018) (INITEX)
>  restricted \write18 enabled.
> entering extended mode
> (./prv_abc_jap.ini
> pLaTeX2e <2018-05-20> (based on LaTeX2e <2018-04-01> patch level 5)
> (/usr/local/texlive/2018/texmf-dist/tex/latex/carlisle/mylatex.ltx) (/usr/local/texlive/2018/texmf-dist/tex/latex/tools/.tex File ignored))
> [.... cut lines ....]
> Transcript written on prv_abc_jap.log.
> 
> TeX Output finished at Fri Jun  8 11:46:24
> Running `Preview-LaTeX' on `abc jap' with ``platex -kanji=utf8 -interaction=nonstopmode -file-line-error \&prv_abc_jap "/AUCTEXINPUT{" \"abc\ jap.tex\" "}"''
> This is e-pTeX, Version 3.14159265-p3.8.0-180226-2.6 (utf8.euc) (TeX Live 2018) (preloaded format=platex)
>  restricted \write18 enabled.
> entering extended mode
> pLaTeX2e <2018-05-20> (based on LaTeX2e <2018-04-01> patch level 5)
> CUSTOMISED FORMAT. Preloaded files:
>         .
>   pldefs.ltx    2018/02/04 v1.6l pLaTeX Kernel (Default settings)
>    jy1mc.fd    2018/02/04 v1.6l KANJI font defines
>    jy1gt.fd    2018/02/04 v1.6l KANJI font defines
>    jt1mc.fd    2018/02/04 v1.6l KANJI font defines
>    jt1gt.fd    2018/02/04 v1.6l KANJI font defines
>  kinsoku.tex
>   "abc jap.tex" 
> jarticle.cls    2018/02/04 v1.7h Standard pLaTeX class
>  jsize10.clo    2018/02/04 v1.7h Standard pLaTeX file (size option)
>         .
> (./abc jap.tex
> [.... cut lines ....]
> (see the transcript file for additional information)
> Output written on "abc jap.dvi" (1 page, 1584 bytes).
> Transcript written on "abc jap.log".
> 
> TeX Output exited as expected with code 1 at Fri Jun  8 11:46:24
> Running `Preview-DviPNG' with ``dvipng -picky -noghostscript abc\ jap.dvi -o abc\ jap.prv/tmpHKfXq8/prev%03d.png  -D186 ''
> This is dvipng (dvipng (TeX Live)) 1.15 Copyright 2002-2015 Jan-Ake Larsson
> [1 (preview-latex version 12.1) (preview-latex tightpage option detected, will use its bounding box)] 
> 
> Preview-DviPNG finished at Fri Jun  8 11:46:24

Anyway, problem fixed for my MWE.

Best,

Jean-François